ath10k: remove API v2 firmware, it is no longer needed
authorFelix Fietkau <nbd@openwrt.org>
Mon, 21 Sep 2015 17:18:43 +0000 (17:18 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Mon, 21 Sep 2015 17:18:43 +0000 (17:18 +0000)
Signed-off-by: Felix Fietkau <nbd@openwrt.org>
SVN-Revision: 47009

package/kernel/mac80211/Makefile

index 4db7c8c..f332cbd 100644 (file)
@@ -270,19 +270,6 @@ Atheros IEEE 802.11ac family of chipsets. For now only
 PCI is supported.
 endef
 
-define KernelPackage/ath10k/config
-  if PACKAGE_kmod-ath10k
-
-       config ATH10K_API2_FW
-               bool "Use old AP mode firmware release (v10.1 / API v2)"
-               default n
-               help
-                 Use the ath10k firmware from the 10.1 SDK using API v2 optimized
-                 for access point operation if the default firmware keeps crashing.
-
-  endif
-endef
-
 PKG_ATH10K_LINUX_FIRMWARE_NAME:=ath10k-firmware
 PKG_ATH10K_LINUX_FIRMWARE_VERSION:=b46f3e01a6c1f9150fb4612ef53611d714565842
 PKG_ATH10K_LINUX_FIRMWARE_SOURCE:=$(PKG_ATH10K_LINUX_FIRMWARE_NAME)-$(PKG_ATH10K_LINUX_FIRMWARE_VERSION).tar.bz2
@@ -1867,15 +1854,9 @@ define KernelPackage/ath10k/install
        $(INSTALL_DATA) \
                $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/ath10k/QCA988X/hw2.0/board.bin \
                $(1)/lib/firmware/ath10k/QCA988X/hw2.0/
-ifeq ($(CONFIG_ATH10K_API2_FW),y)
-       $(INSTALL_DATA) \
-               $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/10.1/firmware-2.bin_10.1.467.2-1 \
-               $(1)/lib/firmware/ath10k/QCA988X/hw2.0/firmware-2.bin
-else
        $(INSTALL_DATA) \
                $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/10.2.4/untested/firmware-5.bin_10.2.4.70-2 \
                $(1)/lib/firmware/ath10k/QCA988X/hw2.0/firmware-5.bin
-endif
 endef
 
 define KernelPackage/b43/install